Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-1328

gem package provider should reset permissions

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Types and Providers
    • Labels:
    • Template:

      Description

      If the user running `puppet apply` uses a restrictive umask (e.g. 0077), gems installed using the gem package provider will be unreadable for all users except root.

      rubygems author has [ruled this behaviour as a feature](https://github.com/rubygems/rubygems/issues/272), but in Puppet context I fail to see a reason why the gem package provider should behave differently than, for example, apt.

        Attachments

          Activity

            jsd-sla-details-panel

              People

              • Assignee:
                Unassigned
                Reporter:
                redmine.exporter redmine.exporter
                QA Contact:
                Narmadha Perumal
              • Votes:
                1 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: